# Interface Action

Main Action interface inspired by ELIZA This interface makes it easier to implement actions across different frameworks

interface Action {
description : string;
examples : ActionExample [][];
handler : Handler ;
name : string;
schema : ZodType;
similes : string[];
}

- Defined in src/types/index.ts:128

#####
Index

### Properties

description
examples
handler
name
schema
similes

##
Properties

### description

description: string

Detailed description of what the action does

- Defined in src/types/index.ts:142

### examples

examples: ActionExample [][]

Array of example inputs and outputs for the action Each inner array represents a group of related examples

- Defined in src/types/index.ts:148

### handler

handler: Handler

Function that executes the action

- Defined in src/types/index.ts:158

### name

name: string

Unique name of the action

- Defined in src/types/index.ts:132

### schema

schema: ZodType

Zod schema for input validation

- Defined in src/types/index.ts:153

### similes

similes: string[]

Alternative names/phrases that can trigger this action

- Defined in src/types/index.ts:137